<?php

/**
 * @file
 * Black Lagoon Theme
 * Created by Zyxware Technologies
 */
function black_lagoon_preprocess_page(&$vars) {
  // Check if is first setup of marinelli and install banners.
  if (variable_get('theme_black_lagoon_first_install', TRUE)) {
    include_once('theme-settings.php');
    _black_lagoon_install();
  }
  //to print the banners
  $banners = black_lagoon_show_banners();
  $vars['banner'] = $banners;
  if (drupal_is_front_page()) {
    drupal_add_js(path_to_theme() . '/js/slide.js', 'file');
  }
}

/**
 *
 * @return <array>
 *    html markup to show banners
 */
function black_lagoon_show_banners() {
  $banners = black_lagoon_get_banners(FALSE);
  $output = '<div id="carousel-example-generic" class="carousel slide" data-ride="carousel">';
  $images_markup = '<div class="carousel-inner">';
  for ($i = 0; $i < count($banners); $i++) {
    $status = '';
    if ($i == 0) {
      $status = ' active';
    }

    $images_markup .= '   <div class="item' . $status . '">';
    $images_markup .= '     <img src=' . file_create_url($banners[$i]['image_path']) . ' alt="Home page slider image">';
    $images_markup .= '</div>';
  }
  $images_markup .= '</div>';
  $output .= $images_markup;
  $output .= '
    <!-- Controls -->
    <a class="left carousel-control" href="#carousel-example-generic" role="button" data-slide="prev">
      <span class="glyphicon glyphicon-chevron-left"></span>
    </a>
    <a class="right carousel-control" href="#carousel-example-generic" role="button" data-slide="next">
      <span class="glyphicon glyphicon-chevron-right"></span>
    </a>
  </div>';
  return $output;
}

/**
 * Get banner settings.
 *
 * @param <bool> $all
 *    Return all banners or only active.
 *
 * @return <array>
 *    Settings information
 */
function black_lagoon_get_banners($all = TRUE) {
  // Get all banners
  $banners = variable_get('theme_black_lagoon_banner_settings', array());

  // Create list of banner to return
  $banners_value = array();
  foreach ($banners as $banner) {
    $banners_value[] = $banner;
  }
  return $banners_value;
}

/**
 * Set banner settings.
 *
 * @param array $value
 *    Settings to save
 */
function black_lagoon_set_banners($value) {
  variable_set('theme_black_lagoon_banner_settings', $value);
}

function black_lagoon_form_alter(&$form, &$form_state, $form_id) {
  if ($form_id == 'search_block_form') {
    $form['search_block_form']['#attributes']['placeholder'] = t('Search');
    $form['actions']['submit']['#value'] = ''; // Change the text on the submit button
    $form['actions']['submit'] = array(
      '#type' => 'image_button',
      '#src' => base_path() . path_to_theme() . '/images/search_icon.png'
    );
  }
}
