<?php
/**
 * @file
 * Black Lagoon Theme
 * Created by Zyxware Technologies
 */
?>
<div id="wrapper" class="container">
  <div id="header" class="row">
    <div class="col-sm-12">
      <div class="logo">
        <?php if ($logo): ?>
          <a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>" rel="home" id="logo">
            <img src="<?php print $logo; ?>" alt="<?php print t('Home'); ?>" />
          </a>
        <?php endif; ?>
      </div>
    </div>
    <div class="col-sm-12">
      <div id="main-menu">
        <nav class="navbar navbar-default" role="navigation">
          <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
              <span class="sr-only">Toggle navigation</span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
            </button>
          </div>
          <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
            <?php
            print theme('links__system_main_menu', array(
              'links' => $main_menu,
              'heading' => null,
              'attributes' => array(
                'class' => array('nav navbar-nav'),
              ),
            ));
            ?>
          </div>
        </nav>
      </div>
    </div>
  </div>
  <?php if ($messages): ?>
    <div class="row">
      <div id="messages" class="col-sm-12">
        <?php print $messages; ?>
      </div>
    </div>
  <?php endif; ?>
  <div class="row">
    <div id="content" class="col-sm-12">
      <?php if ($banner): ?>
        <div class="slider">
          <?php print $banner; ?>
        </div>
      <?php endif; ?>
    </div>
  </div>
  <?php if ($page['footer_first'] || $page['footer_second'] || $page['footer_third']): ?>
    <div class="row">
      <div id="footercontainer">
        <?php if ($page['footer_first']): ?>
          <div class="footerfirst col-sm-4">
            <?php print render($page['footer_first']); ?>
          </div>
        <?php endif; ?>
        <?php if ($page['footer_second']): ?>
          <div class="footersecond col-sm-4">
            <?php print render($page['footer_second']); ?>
          </div>
        <?php endif; ?>
        <?php if ($page['footer_third']): ?>
          <div class="footerthird col-sm-4">
            <?php print render($page['footer_third']); ?>
          </div>
        <?php endif; ?>
      </div>
    </div>
  <?php endif; ?>
  <?php if ($page['footer']): ?>
    <div class="row">
      <div id="footer" class="col-sm-12">
        <?php print render($page['footer']); ?>
        <div class="footer_zyxware">Theme by
          <a href="http://www.zyxware.com/" title="Zyxware Technologies" target="_blank">Zyxware Technologies</a>
        </div>
      </div>
    </div>
  <?php endif; ?>

</div> <!-- /#wrapper -->
